if [ ! -f /etc/shells ] || ! grep -q "^/usr/bin/mksh$" /etc/shells
then
    echo -e "/usr/bin/mksh\n/bin/mksh" >> /etc/shells
fi

if [ ! -f /etc/shells ] || ! grep -q "^/usr/bin/ksh$" /etc/shells
then
    echo -e "/usr/bin/ksh\n/bin/ksh" >> /etc/shells
fi

